<ion-header>
	<ion-toolbar mode="ios" class="header-page" color="light">
		<ion-buttons slot="start">
			<ion-button (click)="this.commonMethodsTs.goBack()">
				<ion-icon slot="icon-only" name="arrow-back"></ion-icon>
			</ion-button>
		</ion-buttons>

		<ion-title (click)="this.commonMethodsTs.toPage_AdminUserPoint()">
			Thông tin mua point
		</ion-title>
	</ion-toolbar>
</ion-header>

<ion-content class="backgroud-content" color="light" fullscreen>
	<ion-segment #segment class="segment-info">
		<ion-segment-button [value]="1" checked>
			<ion-label>Yêu cầu mua point</ion-label>
		</ion-segment-button>
		<ion-segment-button [value]="2">
			<ion-label>Thông tin point</ion-label>
		</ion-segment-button>

	</ion-segment>
	<ion-grid   fixed class="ion-no-padding">
		<ion-list [hidden]="segment?.value!=2" *ngIf="data" lines="none" class="ion-margin-bottom">
			<ion-item lines="none">
				<ion-label class="w-100p">
					<div class="w-100p ion-text-center text-bold">{{ this.data.ThanhVien_Ext.HoTen }}</div>
					<div class="w-100p ion-text-center">Total point:
						{{ ((this.data.Point + this.data.PointUsed) || 0 )|number}}
					</div>
					<div class="w-100p ion-text-center">Point used:
						{{(this.data.PointUsed || 0)|number}}
					</div>
					<div class="w-100p ion-text-center">Ranking: {{ this.data.DataRank.TieuDe || 'Member' }} ({{
					this.data.DataRank.PercentDiscount  || 0 }}%)</div>
					<div class="w-100p ion-text-center" (click)="onLichSuMuaPoint()"><u>Lịch sử mua point</u></div>
				</ion-label>
			</ion-item>
			<view-rank [idSelected]="this.data.DataRank.Id"></view-rank>

		</ion-list>
		<ion-list [hidden]="segment?.value!=1" *ngIf="data" lines="none" class="list-info-user ion-margin-bottom">
			<ion-list-header color="light">
				<ion-label class="fw700">Thông tin chung
				</ion-label>
			</ion-list-header>
			<ion-item>
				<ion-label>Số point hiện tại: </ion-label>
				<ion-label class="info text-normal">{{ (this.data.Point || 0 )|number}}</ion-label>
			</ion-item>
			<ion-item *ngIf="this.data.PointTmp > 0">
				<ion-label class="w-100p ion-text-center text-bold">{{ (this.data.PointTmp || 0 )|number}}
				</ion-label>
			</ion-item>
			<ion-item *ngIf="!(this.data.PointTmp > 0)">
				<ion-label class="w-100p ion-text-center text-bold">Không có yêu cầu mua point</ion-label>
			</ion-item>
			<ion-item class="info text-normal">
				<ion-label>Tỉ lệ quy đổi: </ion-label>
				<ion-label>
					1 point = {{ +options.rate*1000|number }} VND
				</ion-label>
			</ion-item>

			<ion-item lines="none" *ngIf="+this.data.DataGiamUuDai.tienGiamUuDai > 0">
				<ion-text>
					{{this.data.MarketingPlan_Ext?.TieuDe}}
				</ion-text>
			</ion-item>

			<ion-item lines="none" *ngIf="+this.data.DataGiamUuDai.tienGiamUuDai > 0">
				<ion-label color="success">Giảm <span
						*ngIf="this.data.DataGiamUuDai.percentUuDai > 0">{{this.data.DataGiamUuDai.percentUuDai}}% <span
							*ngIf="this.data.MarketingPlan_Ext && +this.data.MarketingPlan_Ext.MaxValue > 0">(tối đa {{this.data.MarketingPlan_Ext.MaxValue|number}}
							VND)</span></span>
				</ion-label>
				<ion-text color="success">
					-{{this.data.DataGiamUuDai.tienGiamUuDai|number}} VND
				</ion-text>
			</ion-item>

			<ion-item lines="none" *ngIf="+this.data.DataGiamUuDai.pointUuDai > 0">
				<ion-label color="success">Tặng</ion-label>
				<ion-text color="success">
					+{{this.data.DataGiamUuDai.pointUuDai}} point
				</ion-text>
			</ion-item>

			<ion-item lines=" none" *ngIf="+data.DataRank.TienGiamThanhVien > 0">
				<ion-label color="success">Giảm giá thành viên -
					{{this.data.DataRank.TieuDe}} ({{this.data.DataRank.PercentDiscount}}%)</ion-label>
				<ion-text color="success">
					-{{data.DataRank.TienGiamThanhVien|number}} VND
				</ion-text>
			</ion-item>

			<ion-button color="success" *ngIf="this.data.PointTmp > 0 && !(this.data.IdAdminDangKyDuyet > 0)"
				(click)="registAdminApproveUserPoint()" expand="block">
				<ion-icon slot="icon-only" name="bookmark"></ion-icon>
				Đăng ký
			</ion-button>

			<ion-button *ngIf="this.data.PointTmp > 0 &&  (this.data.IdAdminDangKyDuyet > 0)"
				(click)="removeAdminApproveUserPoint()" expand="block">
				<ion-icon slot="icon-only" name="bookmark"></ion-icon>
				Hủy đăng ký
			</ion-button>
		</ion-list>
		<ion-list *ngIf="!data">
			<ion-item>
				<ion-text slot="start">
					<ion-skeleton-text animated style="width: 30px;"></ion-skeleton-text>
				</ion-text>
				<ion-label>
					<ion-skeleton-text animated style="width: 80%"></ion-skeleton-text>
				</ion-label>
			</ion-item>
			<ion-item>
				<ion-text slot="start">
					<ion-skeleton-text animated style="width: 30px;"></ion-skeleton-text>
				</ion-text>
				<ion-label>
					<ion-skeleton-text animated style="width: 40%"></ion-skeleton-text>
				</ion-label>
			</ion-item>
			<ion-item>
				<ion-text slot="start">
					<ion-skeleton-text animated style="width: 30px;"></ion-skeleton-text>
				</ion-text>
				<ion-label>
					<ion-skeleton-text animated style="width: 45%"></ion-skeleton-text>
				</ion-label>
			</ion-item>
			<ion-item>
				<ion-text slot="start">
					<ion-skeleton-text animated style="width: 30px;"></ion-skeleton-text>
				</ion-text>
				<ion-label>
					<ion-skeleton-text animated style="width: 80%"></ion-skeleton-text>
				</ion-label>
			</ion-item>
			<ion-item>
				<ion-text slot="start">
					<ion-skeleton-text animated style="width: 30px;"></ion-skeleton-text>
				</ion-text>
				<ion-label>
					<ion-skeleton-text animated style="width: 40%"></ion-skeleton-text>
				</ion-label>
			</ion-item>
			<ion-item>
				<ion-text slot="start">
					<ion-skeleton-text animated style="width: 30px;"></ion-skeleton-text>
				</ion-text>
				<ion-label>
					<ion-skeleton-text animated style="width: 45%"></ion-skeleton-text>
				</ion-label>
			</ion-item>
		</ion-list>
	</ion-grid>
	
	<ion-fab [hidden]="segment?.value!=1" *ngIf="data" vertical="bottom">
		<div class="fixed-bottom-container">
			<div class="fixed-bottom-total" *ngIf="data.TotalPrice > 0">
				<p class="title">Thành tiền</p>
				<div class="detail">
					<p class="total">{{(data.TotalPrice || 0) |number}} VND</p>
					<span class="discout" *ngIf="data.TongTien > 0">{{(data.TongTien || 0)|number}}
						VND</span>
				</div>
			</div>
			<ion-button (click)="savePoint()"
				[disabled]="(this.data.PointTmp > 0 && !(this.data.IdAdminDangKyDuyet > 0)) || !(this.data.PointTmp > 0)"
				expand="block" color="secondary" size="default">
				<ion-label slot="end"> Xác nhận </ion-label>
			</ion-button>
		</div>
	</ion-fab>
	
</ion-content>